From 7a10a1c3a69747e5d650d5754e18ccca629af375 Mon Sep 17 00:00:00 2001
From: Bavarian <Bavarian@Team-MediaPortal.com>
Date: Mon, 2 Apr 2012 18:53:26 +0200
Subject: [PATCH 2/2] Fixing Path.Combine issue

Signed-off-by: Bavarian <Bavarian@Team-MediaPortal.com>
---
 TvEngine3/TVLibrary/SetupTv/Startup.cs    |    2 +-
 TvEngine3/TVLibrary/TvService/Service1.cs |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/TvEngine3/TVLibrary/SetupTv/Startup.cs b/TvEngine3/TVLibrary/SetupTv/Startup.cs
index 1612c04..c6c2196 100644
--- a/TvEngine3/TVLibrary/SetupTv/Startup.cs
+++ b/TvEngine3/TVLibrary/SetupTv/Startup.cs
@@ -104,7 +104,7 @@ namespace SetupTv
       // Init Common logger -> this will enable TVPlugin to write in the Mediaportal.log file
       var loggerName = Path.GetFileNameWithoutExtension(Environment.GetCommandLineArgs()[0]);
       var dataPath = Log.GetPathName();
-      var loggerPath = dataPath + (dataPath.EndsWith("\\") ? "log" : "\\log");
+      var loggerPath = Path.Combine(dataPath, "log");
 #if DEBUG
       if (loggerName != null) loggerName = loggerName.Replace(".vshost", "");
 #endif
diff --git a/TvEngine3/TVLibrary/TvService/Service1.cs b/TvEngine3/TVLibrary/TvService/Service1.cs
index 36ea760..334580f 100644
--- a/TvEngine3/TVLibrary/TvService/Service1.cs
+++ b/TvEngine3/TVLibrary/TvService/Service1.cs
@@ -96,7 +96,7 @@ namespace TvService
       // Init Common logger -> this will enable TVPlugin to write in the Mediaportal.log file
       var loggerName = Path.GetFileNameWithoutExtension(Environment.GetCommandLineArgs()[0]);
       var dataPath = Log.GetPathName();
-      var loggerPath = dataPath + (dataPath.EndsWith("\\") ? "log" : "\\log");
+      var loggerPath = Path.Combine(dataPath, "log");
 #if DEBUG
       if (loggerName != null) loggerName = loggerName.Replace(".vshost", "");
 #endif
-- 
1.7.10.msysgit.1

